-
 KDE-Apps.org Applications for the KDE-Desktop 
 GTK-Apps.org Applications using the GTK Toolkit 
 GnomeFiles.org Applications for GNOME 
 MeeGo-Central.org Applications for MeeGo 
 CLI-Apps.org Command Line Applications 
 Qt-Apps.org Free Qt Applications 
 Qt-Prop.org Proprietary Qt Applications 
 Maemo-Apps.org Applications for the Maemo Plattform 
 Java-Apps.org Free Java Applications 
 eyeOS-Apps.org Free eyeOS Applications 
 Wine-Apps.org Wine Applications 
 Server-Apps.org Server Applications 
 apps.ownCloud.com ownCloud Applications 
--
-
 KDE-Look.org Artwork for the KDE-Desktop 
 GNOME-Look.org Artwork for the GNOME-Desktop 
 Xfce-Look.org Artwork for the Xfce-Desktop 
 Box-Look.org Artwork for your Windowmanager 
 E17-Stuff.org Artwork for Enlightenment 
 Beryl-Themes.org Artwork for the Beryl Windowmanager 
 Compiz-Themes.org Artwork for the Compiz Windowmanager 
 EDE-Look.org Themes for your EDE Desktop 
--
-
 Debian-Art.org Stuff for Debian 
 Gentoo-Art.org Artwork for Gentoo Linux 
 SUSE-Art.org Artwork for openSUSE 
 Ubuntu-Art.org Artwork for Ubuntu 
 Kubuntu-Art.org Artwork for Kubuntu 
 LinuxMint-Art.org Artwork for Linux Mint 
 Arch-Stuff.org Art And Stuff for Arch Linux 
 Frugalware-Art.org Themes for Frugalware 
 Fedora-Art.org Artwork for Fedora Linux 
 Mandriva-Art.org Artwork for Mandriva Linux 
--
-
 KDE-Files.org Files for KDE Applications 
 OpenTemplate.org Documents for OpenOffice.org
 GIMPStuff.org Files for GIMP
 InkscapeStuff.org Files for Inkscape
 ScribusStuff.org Files for Scribus
 BlenderStuff.org Textures and Objects for Blender
 VLC-Addons.org Themes and Extensions for VLC
--
-
 KDE-Help.org Support for your KDE Desktop 
 GNOME-Help.org Support for your GNOME Desktop 
 Xfce-Help.org Support for your Xfce Desktop 
--
openDesktop.orgopenDesktop.org:   Applications   Artwork   Linux Distributions   Documents    LinuxDaily.com    Linux42.org    OpenSkillz.com   
 
Apps
News
Groups
Knowledge
Events
Forum
People
Jobs
Register
Login


Sponsoring


-
- Content .- Fans  .- Knowledge Base  . 

Kall

   2.1  

KDE Telephony

Score 57%
Kall
zoom


Kall
zoom


Kall
zoom


Minimum required   KDE 4.x
Downloads:  309
Submitted:  Mar 14 2010
Updated:  Oct 3 2010

Description:

Kall is a small application to dial the telephone numbers in your address book for you. It is used via kaddressbook or
as a stand-alone application.

Under Settings/Configure Kaddressbook/Dial Phone Number, select External Application and
enter kall --dial "%N" as the command. Then you can simply click on a phone number to dial it. Otherwise start kall from the menu (under Office) and then drag entries from kaddressbook into the phone number edit box.

If you enter all your telephone numbers in international format, i.e.
+cc-aaa-nnnn-nnnn where cc is the country code and aaa is the area code, Kall will localise the number by stripping off the + and possibly the country code and adding the appropriate dialling prefixes that you have entered in the Dialling Codes settings. This way, if you travel to another country, you need only update the settings with the local codes and do not need to change your address book entries.

This latest version completely removes all use of the old KABC interface and is updated to use Akonadi.




Changelog:

29 Sep 2010 Robin Atwood robin@binro.org

o Version 2.1
o Now fully Akonadified - should be future proof.

05 Jul 2010 Robin Atwood robin@binro.org
o Version 2.0
o Fix minor errors in log viewer.
o Smart new app icon!

28 Jun 2010 Robin Atwood robin@binro.org

o Version 1.9
o Complete redesign of dialogs.
o Pure Qt4 now.

14 Mar 2010 Robin Atwood robin@binro.org

o Version 1.0
o Support drags from akonadi-enabled apps (KDE 4.4.0).

22 Oct 2009 Robin Atwood robin@binro.org

o Version 0.9
o Add stand-alone mode again with drag from address book.

04 Jul 2009 Robin Atwood robin@binro.org

o Version 0.8
o Convert to KDE4.
o Drop all the views, dial dialog only.

17 Jul 2006 Robin Atwood robin.atwood@attglobal.net

o Version 0.6
o Minor beautifications

07 Jul 2004 Robin Atwood robin.atwood@attglobal.net

o Version 0.5
o Maintenance release for kde-apps.org
o Polish and Spanish translations

16 Mar 2003 Robin Atwood robin.atwood@attglobal.net

o Version 0.4.
o Converted to Qt/KDE 3.1.
o Use Qt I/O to avoid problems with new C++ library.
o Updates for GCC 3.2.1.
o Improve modem error messages.

08 Mar 2002 Robin Atwood robin.atwood@attglobal.net

o Version 0.3.
o Converted to Qt/KDE 3.x.
o Converted to use kabc format addressbook.
o Now has automatic reload if another app changes the adressbook.
o Fix segfault if kalllog does not exist.
o Code cleanups.

16 Feb 2002 Robin Atwood robin.atwood@attglobal.net

o Version 0.2
o Background images now work.
o Text colour can be changed
o Sorting of rows is now more rational
o Columns in tree view now expand to fill the window
o Massive code cleanup
o Help file written

26 Jan 2002 Robin Atwood robin.atwood@attglobal.net

o Initial alpha release 0.1.




LicenseGPL
Source(kall-2.1.tar.bz2)
Gentoo(kall-2.1.ebuild)
Send to a friend
Subscribe
Other  Apps  from binro
Report inappropriate content



-

 Error in cmake

 
 by FraSMOG on: Oct 3 2010
 
Score 50%

I got the following error while running cmake...

Quote:
CMake Error at /usr/share/kde4/apps/cmake/modules/FindPackageHandleStandardArgs.cmake:139 (MESSAGE):
Could NOT find KdepimLibs (missing: KdepimLibs_CONFIG)
Call Stack (most recent call first):
/usr/share/kde4/apps/cmake/modules/FindKdepimLibs.cmake:80 (find_package_handle_standard_args)
src/CMakeLists.txt:3 (find_package)


Any idea?
Kubuntu 10.04 with KDE 4.5 and Qt 4.7


S.M.O.G. from Pimp My Linux
http://pimpmylinux.wordpress.com

Reply to this

-

 Re: Error in cmake

 
 by binro on: Oct 3 2010
 
Score 63%

What it says! You need to install the kdepimlibs package. I guess it is not installed by default by Ubuntu.

HTH


Reply to this

-

 Re: Re: Error in cmake

 
 by FraSMOG on: Oct 3 2010
 
Score 50%

Sorry, my fault...
I've forgot to mention that kdepimlibs5 is installed yet on my machine.
So the problem is not the absence of that package... :(


S.M.O.G. from Pimp My Linux
http://pimpmylinux.wordpress.com

Reply to this

-
.

 Re: Re: Re: Error in cmake

 
 by binro on: Oct 4 2010
 
Score 50%

Sorry, I can't really help since I don't use Ubuntu. You are obviously missing something so your best bet is to ask on the Ubuntu dev lists. Check your cmake, I have version 2.8.1


Reply to this

-
.

 Re: Re: Re: Error in cmake

 
 by bitcrazy on: Oct 4 2010
 
Score 63%

kdepimlibs-devel is needed, too.

m0nk


If men could get pregnant, abortion would be a sacrament.
Reply to this

-

 Re: Re: Re: Re: Error in cmake

 
 by FraSMOG on: Oct 4 2010
 
Score 50%

Thanks, installing that package fixed my cmake problem!

BUT...

I've another problem while running make:
Quote:
[ 13%] Building CXX object src/CMakeFiles/kall.dir/kall_automoc.o
In file included from /usr/include/akonadi/item.h:28,
from /usr/include/akonadi/itemfetchjob.h:23,
from /home/fra/Scrivania/kall-2.1/build/src/../../src/dialdialogimp.h:35,
from /home/fra/Scrivania/kall-2.1/build/src/moc_dialdialogimp.cpp:10,
from /home/fra/Scrivania/kall-2.1/build/src/kall_automoc.cpp:6:
/usr/include/akonadi/itempayloadinternals_p.h:28:32: error: boost/shared_ptr.hpp: Nessun file o directory
/usr/include/akonadi/itempayloadinternals_p.h:29:41: error: boost/type_traits/is_same.hpp: Nessun file o directory
In file included from /usr/include/akonadi/itemfetchjob.h:23,
from /home/fra/Scrivania/kall-2.1/build/src/../../src/dialdialogimp.h:35,
from /home/fra/Scrivania/kall-2.1/build/src/moc_dialdialogimp.cpp:10,
from /home/fra/Scrivania/kall-2.1/build/src/kall_automoc.cpp:6:
/usr/include/akonadi/item.h:34:35: error: boost/static_assert.hpp: Nessun file o directory
/usr/include/akonadi/item.h:35:44: error: boost/type_traits/is_pointer.hpp: Nessun file o directory
In file included from /usr/include/akonadi/item.h:28,
from /usr/include/akonadi/itemfetchjob.h:23,
from /home/fra/Scrivania/kall-2.1/build/src/../../src/dialdialogimp.h:35,
from /home/fra/Scrivania/kall-2.1/build/src/moc_dialdialogimp.cpp:10,
from /home/fra/Scrivania/kall-2.1/build/src/kall_automoc.cpp:6:
/usr/include/akonadi/itempayloadinternals_p.h:89: error: ‘boost’ was not declared in this scope
/usr/include/akonadi/itempayloadinternals_p.h:89: error: template argument 1 is invalid
/usr/include/akonadi/itempayloadinternals_p.h:127: error: ‘boost’ has not been declared
/usr/include/akonadi/itempayloadinternals_p.h:127: error: expected primary-expression before ‘,’ token
/usr/include/akonadi/itempayloadinternals_p.h:127: error: expected ‘;’ before ‘>’ token
In file included from /usr/include/akonadi/itemfetchjob.h:23,
from /home/fra/Scrivania/kall-2.1/build/src/../../src/dialdialogimp.h:35,
from /home/fra/Scrivania/kall-2.1/build/src/moc_dialdialogimp.cpp:10,
from /home/fra/Scrivania/kall-2.1/build/src/kall_automoc.cpp:6:
/usr/include/akonadi/item.h: In member function ‘T Akonadi::Item::payload() const’:
/usr/include/akonadi/item.h:379: error: ‘boost’ has not been declared
/usr/include/akonadi/item.h:379: error: expected primary-expression before ‘>’ token
/usr/include/akonadi/item.h:379: error: ‘::value’ has not been declared
/usr/include/akonadi/item.h:379: error: there are no arguments to ‘BOOST_STATIC_ASSERT’ that depend on a template parameter, so a declaration of ‘BOOST_STATIC_ASSERT’ must be available
/usr/include/akonadi/item.h:379: note: (if you use ‘-fpermissive’, G++ will accept your code, but allowing the use of an undeclared name is deprecated)
/usr/include/akonadi/item.h: In member function ‘bool Akonadi::Item::hasPayload() const’:
/usr/include/akonadi/item.h:404: error: ‘boost’ has not been declared
/usr/include/akonadi/item.h:404: error: expected primary-expression before ‘>’ token
/usr/include/akonadi/item.h:404: error: ‘::value’ has not been declared
/usr/include/akonadi/item.h:404: error: there are no arguments to ‘BOOST_STATIC_ASSERT’ that depend on a template parameter, so a declaration of ‘BOOST_STATIC_ASSERT’ must be available
make[2]: *** [src/CMakeFiles/kall.dir/kall_automoc.o] Errore 1
make[1]: *** [src/CMakeFiles/kall.dir/all] Errore 2
make: *** [all] Errore 2


I'd be glad if anyone got some hint on how to fix this problem also...
...or does anyone got a .deb for Ubuntu Lucid? :P this would also fix the problem ;)

Thanks to everyone :)


S.M.O.G. from Pimp My Linux
http://pimpmylinux.wordpress.com

Reply to this

-

 Re: Re: Re: Re: Re: Error in cmake

 
 by binro on: Oct 5 2010
 
Score 50%

I have never seen any messages like those, are they even English? Anyway, the problem probably is that you are missing the KDE development packages which are usually split off in binary distros. Try installing all of those.
HTH


Reply to this

-
.

 Re: Re: Re: Re: Re: Re: Error in cmake

 
 by FraSMOG on: Oct 5 2010
 
Score 50%

Ok I've founded the solution to the second problem also. It was (as you said) a dev package that was needed.

So for all the (k)ubuntu/debian users you need to install the following dependecies before trying to compile the source: "kdepimlibs5-dev" and "libakonadi-dev". You can use the following command to install them:
Quote:
sudo apt-get install kdepimlibs5-dev libakonadi-dev


binro: I suggest you to include this instruction in the description of the software ;)

Thx to everyone!


S.M.O.G. from Pimp My Linux
http://pimpmylinux.wordpress.com


-
.

 Using Kall in LAN

 
 by FraSMOG on: Oct 5 2010
 
Score 50%

hi to everyone and sorry for asking again for help.
perhaps I don't get what exactly Kall can do, but is there a way to use it in a ADSL connection if you are behind a Wifi router?
(so /dev/modem and all the others interfaces listed in kall aren't working but /dev/eth0 or /dev/wifi0 are)

Thank you in advance for your help :)


S.M.O.G. from Pimp My Linux
http://pimpmylinux.wordpress.com

Reply to this

-

 Re: Using Kall in LAN

 
 by binro on: Oct 5 2010
 
Score 50%

Kall uses your modem to dial telephone numbers in your address book so you can talk to people. That's all.


Reply to this

Add commentBack






-
-
Do you like or dislike Ubuntu Unity?
 Yes, unity is alien technology!
 It is less confusing than Gnome 3 default, shell.
 Granny thinks it is much more usable than Gnome 2
 Canonical is embarrasing itself with this split project
 Gnome 3 default shell is much better
 I dislike Unity, Gnome 3 default shell is alien technology!
 None of the above, I like the 2Gb for free and Apple alike behavior. Will post a comment instead

resultmore
 
 
 Who we are
Contact
More about us
Frequently Asked Questions
Register
Twitter
Blog
Explore
Apps
Jobs
Knowledge
Events
People
Updates on identi.ca
Updates on Twitter
Facebook App
Content RSS   
Events RSS   

Participate
Groups
Forum
Add App
Public API
About KDE-Apps.org
Legal Notice
Spreadshirt Shop
CafePress Shop
Advertising
Sponsor us
Report Abuse
 

Copyright 2003-2014 KDE-Apps.org Team  
All rights reserved. KDE-Apps.org is not liable for any content or goods on this site.
All contributors are responsible for the lawfulness of their uploads.
KDE and K Desktop Environment are trademarks of KDE e.V.